Subject: Re: bug#24042: mudraw doesn't exist any more

From: Mark Oteiza <[email-masked]>
Date: Wed, 20 Jul 2016 21:33:04 -0400

Stefan Monnier <[email-masked]> writes:

>>> Apparently mudraw has been superseded by "mutool draw".  I'm using the
>>> patch below to accommodate this new situation, but it's not
>>> quite satisfactory.
>> Why is it not satisfactory?  What choice do we have if `mudraw' has been
>> replaced?
>
> It's the string-match that's not very satisfactory.  If the "mutool"
> happens to have a name that doesn't match the regexp, or if some other
> tool (pdfdraw or mudraw) happens to match the regexp things will go wrong.

There should likely be a doc-view-pdfdraw-options.  I remember poking
net-utils.el recently which has an approach like this.  May not solve
the problem, but at least it is exposed to the user.